当前位置: 首页 > 其他程序 > 正文

Vue中的安装及使用SCSS方法,解决this.getOptions is not a function

一、安装,注意版本问题

npm install node-sass@4.14.1 --save-dev //安装node-sass

npm install sass-loader@7.3.1 --save-dev //安装sass-loader

npm install style-loader --save-dev //安装style-loader

二、配置webpack.base.conf.js文件

    {
        // 编译识别scss! 2022.3.12
        test: /\.scss?$/,
        loaders: ["style", "css", "sass"]
      },

三、在vue模板组件中引用 lange="scss"

四、注意事项

如果出现“ this.getOptions is not a function ”的问题, 可能是 Sass 版本过高导致。

需要降级处理。

使用 npm uninstall sass-loader 卸载原版本。

再重新安装低版本 npm install sass-loader@10.0.0 即可。

本文固定链接: https://www.ziyouwu.com/archives/22375.html | 自由屋博客


关键字: